> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove A User From A Project

Revoke a user's access to a Project. The caller must own the project (or have an organization-level role that allows project administration). The project's owner cannot be removed via this endpoint — use [Delete A Project](/api-reference/project-resource-delete) instead.


## OpenAPI

````yaml POST /api/v1/projects/{id}/remove_user
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/projects/{id}/remove_user:
    post:
      summary: POST projects remove_user
      operationId: post_projects_remove_user
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                user:
                  properties:
                    __DOLLAR_REF__:
                      example: /api/v1/users/a1b2c3d4e5f67890
                      format: uri
                      pattern: ^/api/v1/users/[a-f0-9]{16}$
                      type: string
                  type: object
              required:
                - user
              title: ProjectRemoveUserSchema
              type: object
        required: true
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````